<!DOCTYPE html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta charset=utf-8>
<style>@import './main.css';</style>
<script type=module>import './main.js'</script>
<noscript>This page does nothing if javascript is disabled.</noscript>
</head>
<section id=left-panel class=sidepanel>
    <p class=osd>Vicsek model<br>
        <span id=hz>0</span> Hz<br>
        <span id=plot-label>Order parameter plot</span>
    </p>
    <div id=plotbox0 class=plotbox>
        <p class=plot-label>alignment: <span id=order-parameter>0</span>
        </p>
    </div>
    <div id=plotbox1 class=plotbox>
        <p class=plot-label>clumping: <span id=clumping-parameter>?</span></p>
    </div>
</section>
<canvas id='main-canvas'></canvas>
<form class=sidepanel>
    <b>physical</b><br>
    <input type=range id=number min=50 max=250000 step=50><br>
    <label for="number">number of particles: <span id=number-value></span></label><br>
    <input type=range id=width min=10 max=800 step=10><br>
    <label for="width">box width: <span id="width-value"></span></label
        ><br />
    <input
            type="range"
            id="noise"
            min="0"
            max="1"
            step="0.01"
        /><br />
    <label for="noise-amplitude"
            >noise level: <span id="noise-value"></span></label
        ><br />
        <input type="range" id="speed" min="0.1" max="1" step="0.01" /><br />
        <label for="speed">speed: <span id="speed-value"></span></label><br />
        <label for="noninteracting">switch off interaction?</label>
        <input type="checkbox" id="noninteracting"><br>
        particle density: <span id=density-value></span><br>
        <hr>
        <b>visual</b><br>
        <label for="paint-trails">paint particle trails?</label>
        <input type="checkbox" id="paint-trails" checked="true"><br>
        <input
            type="range"
            id="particle-size"
            min="0.05"
            max="1"
            step="0.05"
        /><br>
        <label for="particle-size"
            >particle size: <span id="particle-size-value"></span
        ></label><br><hr>
        <button type=button id=randomize>randomize</button>
        <button type=button id=reset>reset to defaults</button>
        <br>
        <span id=current-params>copy current parameters <br>as link to clipboard</span>
        <hr>
        <a href=./DESCRIPTION.md.html target=_blank>description</a> | 
        <a href=//gitlab.com/rj.budzynski/vicsek-model-webgl target=_blank>src at gitlab</a><br>
        &copy; 2021 RJ Budzyński
</form>